<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.czg.service.product.mapper.ConsPayRecordMapper">

    <select id="selectByFlowId" resultType="com.czg.product.vo.ShopVendorBillPayRecordVO">
        select a.*, b.con_name, b.purchase_price, b.in_out_number, c.account, c.nick_name, c.id
        from tb_cons_pay_record as a
                 left join tb_cons_stock_flow as b on a.flow_id = b.id
                 left join sys_user as c on c.id = a.user_id
        where a.flow_id = #{flowId} and a.shop_id=#{shopId}
    </select>
</mapper>
